summaryrefslogtreecommitdiffstats
path: root/source/l/libgtop/libgtop.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-12-27 22:52:10 +0000
committer Eric Hameleers <alien@slackware.com>2020-12-28 02:59:54 +0100
commit45d4b225c605681c5d3570a2dc96140db758e9fb (patch)
treee98cc183c15f8d9a82f2e325b57de729c2be14f7 /source/l/libgtop/libgtop.SlackBuild
parent6b36bf33af7653ac741a7134f347c00ce3653b17 (diff)
downloadcurrent-45d4b225c605681c5d3570a2dc96140db758e9fb.tar.gz
current-45d4b225c605681c5d3570a2dc96140db758e9fb.tar.xz
Sun Dec 27 22:52:10 UTC 202020201227225210
And, just a month after Xfce 4.14 appeared in vtown, we have Xfce 4.16 updates in the main tree. Thanks much to Robby Workman for making it happen. :-) a/aaa_terminfo-6.2_20201219-x86_64-1.txz: Upgraded. a/ndctl-71.1-x86_64-2.txz: Rebuilt. Fix bash-completion file installation (previously it was causing the completion dir to have mode 0644). Thanks to Robby Workman. l/harfbuzz-2.7.4-x86_64-1.txz: Upgraded. l/libarchive-3.5.1-x86_64-1.txz: Upgraded. l/libgtop-2.40.0-x86_64-1.txz: Added. This is used by libxfce4ui to provide extra information in the about page. l/ncurses-6.2_20201219-x86_64-1.txz: Upgraded. n/wpa_supplicant-2.9-x86_64-4.txz: Rebuilt. Fix desktop file to not show if kdesu isn't available. Thanks to Hyperion. x/xterm-363-x86_64-1.txz: Upgraded. xap/xsnow-3.2.0-x86_64-1.txz: Upgraded. xfce/Greybird-3.22.13-noarch-2.txz: Rebuilt. xfce/exo-4.16.0-x86_64-1.txz: Upgraded. xfce/garcon-0.8.0-x86_64-1.txz: Upgraded. xfce/libxfce4ui-4.16.0-x86_64-1.txz: Upgraded. xfce/libxfce4util-4.16.0-x86_64-1.txz: Upgraded. xfce/mousepad-0.5.1-x86_64-2.txz: Rebuilt. xfce/thunar-4.16.0-x86_64-1.txz: Upgraded. xfce/thunar-volman-4.16.0-x86_64-1.txz: Upgraded. xfce/tumbler-4.16.0-x86_64-1.txz: Upgraded. xfce/xfce4-appfinder-4.16.0-x86_64-1.txz: Upgraded. xfce/xfce4-clipman-plugin-1.6.1-x86_64-2.txz: Rebuilt. xfce/xfce4-dev-tools-4.16.0-x86_64-1.txz: Upgraded. xfce/xfce4-notifyd-0.6.2-x86_64-2.txz: Rebuilt. xfce/xfce4-panel-4.16.0-x86_64-1.txz: Upgraded. xfce/xfce4-panel-profiles-1.0.10-x86_64-2.txz: Rebuilt. xfce/xfce4-power-manager-4.16.0-x86_64-1.txz: Upgraded. xfce/xfce4-pulseaudio-plugin-0.4.3-x86_64-2.txz: Rebuilt. xfce/xfce4-screensaver-0.1.11-x86_64-3.txz: Rebuilt. xfce/xfce4-screenshooter-1.9.8-x86_64-1.txz: Upgraded. xfce/xfce4-session-4.16.0-x86_64-1.txz: Upgraded. xfce/xfce4-settings-4.16.0-x86_64-1.txz: Upgraded. xfce/xfce4-systemload-plugin-1.2.4-x86_64-2.txz: Rebuilt. xfce/xfce4-taskmanager-1.2.3-x86_64-2.txz: Rebuilt. xfce/xfce4-terminal-0.8.10-x86_64-1.txz: Upgraded. xfce/xfce4-weather-plugin-0.10.2-x86_64-2.txz: Rebuilt. xfce/xfce4-whiskermenu-plugin-2.5.0-x86_64-1.txz: Upgraded. xfce/xfconf-4.16.0-x86_64-1.txz: Upgraded. xfce/xfdesktop-4.16.0-x86_64-1.txz: Upgraded. xfce/xfwm4-4.16.0-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/libgtop/libgtop.SlackBuild')
-rwxr-xr-xsource/l/libgtop/libgtop.SlackBuild134
1 files changed, 134 insertions, 0 deletions
diff --git a/source/l/libgtop/libgtop.SlackBuild b/source/l/libgtop/libgtop.SlackBuild
new file mode 100755
index 000000000..fb55996f9
--- /dev/null
+++ b/source/l/libgtop/libgtop.SlackBuild
@@ -0,0 +1,134 @@
+#!/bin/sh
+
+# Copyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libgtop
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --disable-debug \
+ --build=$ARCH-slackware-linux || exit 1
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL NEWS README \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+ln -s /usr/share/gtk-doc/html/libgtop $PKG/usr/doc/${PKGNAM}-$VERSION/html
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz